/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1102 Seccin 4
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * ICQ#50566818
 *
 * (CC)2006
 * 
 * */

import iic1102Package.*;

public class Inscritos {

	public static void main(String[] args) {

		Persona[] insc = new Persona[150]; //arreglo de inscritos
		int total = 0;
		
		while(true) {
			
			String n, a; //nombre y apellido
			int t, c; //telfono y celular
			
			Interfaz.MostrarMensaje("Inscrito n" + (total + 1));
			
			n = Interfaz.PedirString("Nombre:");
			if(n.equals(""))
				break;
			a = Interfaz.PedirString("Apellido:");
			t = Interfaz.PedirEntero("Telfono:");
			c = Interfaz.PedirEntero("Celular:");
			
			insc[total++] = new Persona(n, a, t, c);

		}
		
		for(int i=0; i<total; ++i) {
			
			for(int j=0; j < total; ++j) {
				
				//este if es para no comparar dos veces las palabras
				if(i<j) {
					
					if(insc[i].getNombre().compareToIgnoreCase(insc[j].getNombre()) > 0) {
					
						Persona temporal = insc[i];
						insc[i] = insc[j];
						insc[j] = temporal;

					}
					
				}
				
			}
			
		}
		
		for(int i=0; i<total; ++i) {
			
			for(int j=0; j < total; ++j) {
				
				//este if es para no comparar dos veces las palabras
				if(i<j) {

					if(insc[i].getApellido().compareToIgnoreCase(insc[j].getApellido()) > 0) {
						
						Persona temporal = insc[i];
						insc[i] = insc[j];
						insc[j] = temporal;
	
					}
					
				}
				
			}
			
		}
		
		for(int i=0; i<total; ++i)
			Interfaz.MostrarMensajeConsola(insc[i].getApellido() + ", " + insc[i].getNombre());

	}

}
