/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1102 Seccin 4
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * ICQ#50566818
 *
 * (CC)2006
 * 
 * */

import iic1102Package.*;

public class Colgadito {

	public static void main(String[] args) {

		String palabra = Palabras.getPalabra();
		char[] usadas = new char[26];
		boolean gameOver = false;
		int ultimoIndice = 0;
		int errores = 0;
		
		Interfaz.MostrarMensaje("Benvenido al juego del Colgadito.");
		
		while(!gameOver) {
			
			String adivinado = "";

			for(int i = 0; i < palabra.length(); ++i) {
				
				//tiene que ser con ' y no " para asignar un char.
				char letra = '_';
				
				for(int x = 0; x < ultimoIndice; ++x) {
					
					if(palabra.charAt(i) == usadas[x]) {
						letra = usadas[x];
						break;
					}

				}
				
				adivinado += letra;

			}
			
			String letrasUsadas = "";
			for(int i = 0; i < ultimoIndice; ++i)
				letrasUsadas += usadas[i] + " ";
			
			if(adivinado.equals(palabra))
				break;
			
			String adivinadoBonito = "";
			for(int i = 0; i < adivinado.length(); ++i)
				adivinadoBonito += adivinado.charAt(i) + " ";

			String letra;
			
			do {

				letra = Interfaz.PedirString(	"Tu palabra:\n" +
												adivinadoBonito +
												"\nLetras usadas:\n" +
												letrasUsadas +
												"\n\nIngresa una letra.");

			} while(letra.length() != 1 || inArray(letra.charAt(0), usadas));
			
			usadas[ultimoIndice++] = letra.charAt(0);
			
			if(palabra.indexOf(letra.charAt(0)) < 0)
				++errores;
			
			if(errores >= 6)
				gameOver = true;

		}
		
		if(gameOver)			
			Interfaz.MostrarMensaje("Has perdido!\n\nLa palabra era: " + palabra);
		else
			Interfaz.MostrarMensaje("Enhorabuena!\n\nHas adivinado la palabra: " + palabra);
		
	}
	
	private static boolean inArray(char c, char[] arreglo) {
		
		int i;
		
		for(i = 0; i < arreglo.length; ++i) {

			if(c == arreglo[i])
				return true;

		}
		
		return false;
		
	}

}
